Name:		skipfish
Version:	2.10
Release:	%mkrel 0.beta.12
Summary:	A fully automated, active web application security reconnaissance tool
License:	GPLv2
Group:		Security
URL:		http://code.google.com/p/skipfish/
Source0:	http://%{name}.googlecode.com/files/%{name}-%{version}b.tgz
Source1:	%{name}-starter
Patch0:		skipfish-2.09b-fhs.patch
Patch1:		skipfish-2.10b-openssl11.patch
Patch2:         skipfish-gcc10.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpcre)

%description
A fully automated, active web application security reconnaissance tool. Key
features:
 * High speed: pure C code, highly optimized HTTP handling, minimal CPU
   footprint - easily achieving 2000 requests per second with responsive
   targets.
 * Ease of use: heuristics to support a variety of quirky web frameworks and
   mixed-technology sites, with automatic learning capabilities, on-the-fly
   wordlist creation, and form autocompletion.
 * Cutting-edge security logic: high quality, low false positive, differential
   security checks, capable of spotting a range of subtle flaws, including
   blind injection vectors.

%prep
%setup -q -n %{name}-%{version}b
%autopatch -p1

%build
%make_build

%install
install -d %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install doc/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -d %{buildroot}/%{_datadir}/%{name}
cp -r assets %{buildroot}/%{_datadir}/%{name}
install -m 644 dictionaries/*.wl %{buildroot}/%{_datadir}/%{name}
ln -s default.wl %{buildroot}/%{_datadir}/%{name}/%{name}.wl

%files
%doc README ChangeLog doc/*.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}


%changelog
* Fri Jul 03 2020 joequant <joequant> 2.10-0.beta.12.mga8
+ Revision: 1601637
- update to gcc10

* Fri Feb 14 2020 umeabot <umeabot> 2.10-0.beta.11.mga8
+ Revision: 1517054
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.10-0.beta.10.mga7
+ Revision: 1301055
- Mageia 7 Mass Rebuild

* Fri May 11 2018 kekepower <kekepower> 2.10-0.beta.9.mga7
+ Revision: 1228386
- Rebuild for libidn 1.35

* Wed Sep 20 2017 cjw <cjw> 2.10-0.beta.8.mga7
+ Revision: 1156460
- patch1: fix build with openssl 1.1

* Thu Mar 03 2016 umeabot <umeabot> 2.10-0.beta.7.mga6
+ Revision: 984107
- Rebuild for openssl

* Sat Feb 06 2016 umeabot <umeabot> 2.10-0.beta.6.mga6
+ Revision: 941425
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10-0.beta.5.mga5
+ Revision: 749380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10-0.beta.4.mga5
+ Revision: 689182
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10-0.beta.3.mga4
+ Revision: 518378
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.10-0.beta.2.mga3
+ Revision: 382121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 guillomovitch <guillomovitch> 2.10-0.beta.1.mga3
+ Revision: 329321
- new version

* Sat Dec 01 2012 fwang <fwang> 2.09-0.beta.2.mga3
+ Revision: 323836
- rebuild for new pcre

* Thu Nov 29 2012 guillomovitch <guillomovitch> 2.09-0.beta.1.mga3
+ Revision: 323114
- new version
- fix doc files perms
- fix summary
- new version

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.02-0.beta.1.mga2
+ Revision: 126488
- imported package skipfish

